subroutine neutral_produced(i,imax,vt,nnew,OHgen)
    use gskparm

    integer :: imax,nnew,i,j
    real*8, dimension(nc) :: vt
    real*8, dimension(np,3) :: OHgen
    real*8 :: s,vs,vp,ran2,pi2

    data pi2/6.283185307d0/

    do j=1,nnew
        imax=imax+1
        vs=vt(i)*sqrt(-log(1.0d0-ran2(iseed)))*cos(Pi2*ran2(iseed))
        vp=vt(i)*sqrt(-log(1.0d0-ran2(iseed)))

        s=sg(i)+(sg(i+1)-sg(i))*ran2(iseed)

        OHgen(imax,1)=s
        OHgen(imax,2)=vs
        OHgen(imax,3)=vp
    enddo
end subroutine
