!***********************************************************************
!***********************************************************************
!  SUBROUTINE READ_PARAM
!  READ PARAMETERS FROM INPUT FILES: FLIPRUN.CFG AND GSKRUN.CFG
!
!  INPUT & OUTPUT: NONE
!
!  Author: Jiannan TU
!  Date:   19 Nov, 2009
!***********************************************************************
SUBROUTINE READ_PARAM()
    USE inparm
 !   integer :: LNBLNK
 
    OPEN(11,file='/home/wangy/DyFk/DYFKRUN.DDD',ERR=35,STATUS='OLD')

    READ(11,'(A3)',ERR=35,END=35) GSKR
    READ(11,'(A3)',ERR=35,END=35) DRIFT
    READ(11,'(A3)',ERR=35,END=35) GSK2FLIP
    READ(11,'(A3)',ERR=35,END=35) CRUN

    READ(11,*,ERR=35,END=35) NAURON, NAUROF
    READ(11,*,ERR=35,END=35) NPYNON, NPYNOF
    READ(11,*,ERR=35,END=35) WAVEON, WAVEOF
    READ(11,*,ERR=35,END=35) HOTPON, HOTPOF
    READ(11,*,ERR=35,END=35) CURON, CUROF
    READ(11,*,ERR=35,END=35) nstep, iout

    CLOSE(11)

    RETURN

35  WRITE(*,*) 'FAIL TO OPEN/READ FILE DYFKRUN.CON. A NEW FILE IS'// &
               'CREATED WITH DEFUALT VALUES OF PARAMETERS'

    GSKR='No'
    DRIFT='No'
    GSK2FLIP='No'
    CRUN='No'

    NAURON=-1
    NAUROF=-1
    NPYNON=-1
    NPYNOF=-1
    WAVEON=-1
    WAVEOF=-1
    HOTPON=-1
    HOTPOF=-1
    CURON=-1
    CUROF=-1
    nstep=2000
    iout=10

END SUBROUTINE READ_PARAM
!***********************************************************************
