subroutine Titheridge_Te(L,Te)
    use gskparm

    real*8 :: L,R0,h0,T0,G0T0,Bh,por,R02,R2,heq,Re,alg
    real*8, dimension(nc) :: Te
    integer :: i

    data h0/400.0d0/,R0/1.0627825d0/,R02/1.1295067d0/,por/0.2857142d0/,Re/6371.2d0/
    data T0/2000.0d0/,G0T0/2.0d-3/  !G0T0=G0/T0

    heq=(L-1.0d0)*Re

    do i=1,num+1
        alg=log(alt(i)/h0)
        R2=(1.0d0+alt(i)/Re)**2
        Bh=0.05d0/(2.0d0*L-R0)*(88.0d0+alg*(10.5d0-alg))
        Te(i)=T0*(1.0d0+Bh*G0T0*((heq-h0)/R02-(heq-alt(i))/R2))**por
    enddo
end subroutine